package de.ozgcloud.user.settings;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class UserSettingsMapperTest {

	private final UserSettingsMapper mapper = Mappers.getMapper(UserSettingsMapper.class);

	@Nested
	class TestToGrpc {

		@Test
		void shouldMapToGrpc() {
			var userSettings = mapper.toGrpc(UserSettingsTestFactory.create());

			assertThat(userSettings).usingRecursiveComparison().isEqualTo(GrpcUserSettingsTestFactory.create());
		}
	}
}
